c----------------------------------------------------------------------
c    @(#)zdemmax.h   version 1.2   created 02/16/99 09:49:17
c    Last modified:    4-Jan-1999 16:07:34   klf 
C_Groups @(#) screamer
c----------------------------------------------------------------------
c *****************************************************************************
c This is a file giving the array dimensions for ZDEM.
c    file zdemmax.h
c
c ---------------------------------------------------------------------
c
c Modifications:
c   05/30/95, Reduced max_branches to 15 from 20
c   2012-04-11 RBS: Increased max_branches to 65 as per Stygar request
c   2012-04-11 RBS: Increased max_var_elem to 65 as per Stygar request
c   2014-05-01 RBS: Create a new max parameter, max_switch_points
c   2016-04-07 RBS: Increased max_var_elem from 65 to 120 as per WAS
c   2016-04-07 RBS: Increased max_branches from 65 to 120 as per WAS
c   2018-05-31 RBS: Increased max_branches from 120 to 250 as per WAS
c   2018-06-12 RBS: Increased the value of max_elem_parms to 12
c
c ---------------------------------------------------------------------
c
      parameter (max_branches        =  250)
      parameter (max_blocks          =  300)
      parameter (max_nodes           = 7500)
      parameter (max_vars            =    5)
      parameter (max_cols            = 3*max_vars + 1)
      parameter (max_elem_parms      =   12)
      parameter (max_iin_specs       =    5)
      parameter (maxout              =  400)
      parameter (max_plot_points     = 8001)
      parameter (max_table_points    = 1001)
      parameter (max_var_elem        =   120)
      parameter (max_switch_points   =   40)
c
c Don't reduce max_var_parms below 15
c
      parameter (max_var_parms       =   40)
      parameter (max_init_cond       =  max_branches + 1)
      parameter (max_volt_source     =  max_branches + 1)
      parameter (max_volt_func_parms =  2*max_table_points + 2)
      parameter (max_curr_source     =  max_branches + 1)
      parameter (max_curr_func_parms =  2*max_table_points + 2)
      parameter (max_tablem_vals     =  2*max_table_points + 2)
      parameter (max_trline          =  6000)
      parameter (max_mitl            =  100)
      parameter (max_trline_nodes    =  6001)
      parameter (max_transformer     =    5)
      parameter (max_uservars        =   10)
      parameter (max_mzflowblocks    =   20)
c
c Set (dependent on above) dimensions of scratch arrays.
c
      parameter (max_bb = max_nodes * max_vars * max_branches)
      parameter (max_cc = max_bb)
      parameter (max_a  = max_bb * max_cols)
      parameter (max_x  = max_bb)
c
c Parameters for the multiple shell model
c
      parameter (max_shells = 20)
